{{#if listeCircuit}}
<div class="center">
  <img src="/image/cat_circuit.png" alt="Image drapeau d'arrivé">
</div>
<div class="center">
  <h1>Gestion des circuits</h1>
</div>
<div class="center">
  <a href="/circuit/ajout"><img src="/image/act_add.png" alt="Image ajout">Ajouter un circuit</a>
</div>
<br>
<br>
<div class="center">
  <table class="border">
    <tr>
      <th class="border">Nom</th>
      <th class="border">Longueur</th>
      <th class="border">Nombre de spéctateurs</th>
      <th class="border">Actions</th>
    </tr>
    {{#each listeCircuit}}
    <tr>
      <td class="border">{{this.CIRNOM}}</td>
      <td class="border">{{this.CIRLONGUEUR}} m</td>
      <td class="border">{{this.CIRNBSPECTATEURS}}</td>
      <td class="border"><a href="/modifierCircuit/{{this.CIRNUM}}" class="actions"><img src="/image/act_edit.png" alt="Image edition">Modifier</a><a href="/suppCircuit/{{this.CIRNUM}}/{{#if this.GPNUM}}{{this.GPNUM}}{{else}}-1{{/if}}" class="actions"><img src="/image/act_delete.png" alt="Image edition">Supprimer</a></td>
    </tr>
    {{/each}}
  </table>
</div>
{{/if}}
{{#if listeNationalite}}
<div class="center">
  <h1>Ajouter un circuit</h1>
</div>
<div class="center">
  <form action="/ajoutCircuitReq" enctype="multipart/form-data" method="post">
    <div id="left">
      <div class="positionText">
        <label for="nom">Nom</label>
      </div>
      <div class="positionText">
        <label for="longueur">Longueur</label>
      </div>
      <div class="positionText">
        <label for="nationnalite">Pays</label>
      </div>
      <div class="positionText">
        <label for="image">Image</label>
      </div>
      <div class="positionText">
        <label for="nb_spectateur">Nombre de spectateurs</label>
      </div>
      <div class="positionText">
        <label for="description">Description</label>
      </div>
    </div>
    <div id="right">
      <input type="text" name="nom" required><br>
      <input type="number" name="longueur" required> m<br>
      <select name="nat">
        {{#each listeNationalite}}
        <option value="{{this.PAYNUM}}">{{this.PAYNOM}}</option>
        {{/each}}
      </select><br>
      <input type="file" name="upload" class="inputFile" required><br>
      <input type="number" name="nbSpectateur" required> personnes<br>
      <textarea name="description" rows="3" cols="50" required></textarea><br><br>
      <input id="button" type="submit" name="ajouterCircuit" value="Ajouter">
    </div>


  </form>
</div>
{{/if}}

{{#if listeCircuitModif}}
<div class="center">
  <h1>Modifier le circuit</h1>
</div>
<div class="center">
  <form action="/modifierCircuitReq/{{listeCircuitModif.cirnum}}" enctype="multipart/form-data" method="post">
    <div id="left">
      <div class="positionText">
        <label for="nom">Nom</label>
      </div>
      <div class="positionText">
        <label for="longueur">Longueur</label>
      </div>
      <div class="positionText">
        <label for="nationnalite">Pays</label>
      </div>
      <div class="positionText">
        <label for="image">Image</label>
      </div>
      <div class="positionText">
        <label for="nb_spectateur">Nombre de spectateurs</label>
      </div>
      <div class="positionText">
        <label for="description">Description</label>
      </div>
    </div>
    <div id="right">
      <input type="text" name="nom" value="{{listeCircuitModif.cirnom}}" required><br>
      <input type="number" name="longueur" value="{{listeCircuitModif.cirlongueur}}" required> m<br>
      <select name="nat">
        <option value="{{listeCircuitModif.paynum}}">{{listeCircuitModif.paynom}}</option>
        {{#each listeNationaliteModif}}
          {{#ifCond ../listeCircuitModif.paynum '==' this.PAYNUM}}
          {{else}}
            <option value="{{this.PAYNUM}}">{{this.PAYNOM}}</option>
          {{/ifCond}}
        {{/each}}
      </select><br>
      <input type="file" name="upload" class="inputFile" required><br>
      <input type="number" name="nbSpectateur" value="{{listeCircuitModif.cirnbspectateurs}}" required> personnes<br>
      <textarea name="description" rows="3" cols="50" required>{{listeCircuitModif.cirtext}}</textarea><br><br>
      <input id="button" type="submit" name="modifierCircuit" value="Modifier">
    </div>


  </form>
</div>
{{/if}}
